<div class="dialog">
    <div class="dialog-data">
        <mat-form-field appearance="outline">
            <mat-label>Code</mat-label>
            <input matInput [(ngModel)]="data.code">
        </mat-form-field>
    </div>
    <div class="dialog-actions">
        <button mat-button (click)="onNoClick()">No Thanks</button>
        <button mat-button [mat-dialog-close]="data.code" cdkFocusInitial>Import</button>
    </div>
</div>